# Function default

- default(_logDisabled?, _phaseText?): {
  clearLogs(): void;
  debug(...args): void;
  error(...args): void;
  getLogs(): any[];
  getStr(...args): string;
  log(...args): void;
  notify(msg): void;
  warn(...args): void;
  }

- #### Parameters

  - _logDisabled: boolean = false
  - _phaseText: boolean = false

  #### Returns {
  clearLogs(): void;
  debug(...args): void;
  error(...args): void;
  getLogs(): any[];
  getStr(...args): string;
  log(...args): void;
  notify(msg): void;
  warn(...args): void;
  }

  - ##### clearLogs:function

    - clearLogs(): void

    - #### Returns void

      - Defined in src/test/utils/mocks/mockConsoleLog.ts:60

  - ##### debug:function

    - debug(...args): void

    - #### Parameters

      - `Rest` ...args: any[]

      #### Returns void

      - Defined in src/test/utils/mocks/mockConsoleLog.ts:31

  - ##### error:function

    - error(...args): void

    - #### Parameters

      - `Rest` ...args: any[]

      #### Returns void

      - Defined in src/test/utils/mocks/mockConsoleLog.ts:26

  - ##### getLogs:function

    - getLogs(): any[]

    - #### Returns any[]

      - Defined in src/test/utils/mocks/mockConsoleLog.ts:57

  - ##### getStr:function

    - getStr(...args): string

    - #### Parameters

      - `Rest` ...args: any[]

      #### Returns string

      - Defined in src/test/utils/mocks/mockConsoleLog.ts:63

  - ##### log:function

    - log(...args): void

    - #### Parameters

      - `Rest` ...args: any[]

      #### Returns void

      - Defined in src/test/utils/mocks/mockConsoleLog.ts:15

  - ##### notify:function

    - notify(msg): void

    - #### Parameters

      - msg: any

      #### Returns void

      - Defined in src/test/utils/mocks/mockConsoleLog.ts:53

  - ##### warn:function

    - warn(...args): void

    - #### Parameters

      - `Rest` ...args: any[]

      #### Returns void

      - Defined in src/test/utils/mocks/mockConsoleLog.ts:42
  - Defined in src/test/utils/mocks/mockConsoleLog.ts:1